netatalk: status.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
status.h File Reference
`#include <atalk/dsi.h>`
`#include <atalk/asp.h>`
`#include <atalk/globals.h>`
`#include "afp_config.h"`

Go to the source code of this file.

## Macros
#define | AFPSTATUS_MACHOFF 0
#define | AFPSTATUS_VERSOFF 2
#define | AFPSTATUS_UAMSOFF 4
#define | AFPSTATUS_ICONOFF 6
#define | AFPSTATUS_FLAGOFF 8
#define | AFPSTATUS_PRELEN 10
#define | AFPSTATUS_POSTLEN 8
#define | AFPSTATUS_LEN (AFPSTATUS_PRELEN + AFPSTATUS_POSTLEN)
#define | AFPSTATUS_MACHLEN 16

## Functions
void | status_versions (char *, const ASP, const DSI *)
void | status_uams (char *, const char *)
void | status_init (AFPObj *, AFPObj *, DSI *dsi)
void | set_signature (struct afp_options *)
| Set the server signature.
int | afp_getsrvrinfo (AFPObj *obj, char *ibuf, size_t ibuflen, char *rbuf, size_t *rbuflen)

## Macro Definition Documentation

## ◆ AFPSTATUS_FLAGOFF

#define AFPSTATUS_FLAGOFF 8

## ◆ AFPSTATUS_ICONOFF

#define AFPSTATUS_ICONOFF 6

## ◆ AFPSTATUS_LEN

#define AFPSTATUS_LEN (AFPSTATUS_PRELEN + AFPSTATUS_POSTLEN)

## ◆ AFPSTATUS_MACHLEN

#define AFPSTATUS_MACHLEN 16

The number of characters for the MachineType.

## ◆ AFPSTATUS_MACHOFF

#define AFPSTATUS_MACHOFF 0

## ◆ AFPSTATUS_POSTLEN

#define AFPSTATUS_POSTLEN 8

The number of bytes for offset records after the ServerName field.

Right now, this is 2 bytes each for ServerSignature, networkAddressCount, DirectoryNameCount, and UTF-8 ServerName

## ◆ AFPSTATUS_PRELEN

#define AFPSTATUS_PRELEN 10

The number of bytes for status data prior to the ServerName field.

This is two bytes of offset space for the MachineType, AFPVersionCount, UAMCount, VolumeIconAndMask, and the 16-bit "Fixed" status flags.

## ◆ AFPSTATUS_UAMSOFF

#define AFPSTATUS_UAMSOFF 4

## ◆ AFPSTATUS_VERSOFF

#define AFPSTATUS_VERSOFF 2

## Function Documentation

## ◆ afp_getsrvrinfo()

int afp_getsrvrinfo | ( | AFPObj * | obj,
|  | char * | ibuf,
|  | size_t | ibuflen,
|  | char * | rbuf,
|  | size_t * | rbuflen )

## ◆ set_signature()

void set_signature | ( | struct afp_options * | options | ) |
| extern

Set the server signature.

- If found in conf file, use it.
- If not found in conf file, genarate and append in conf file.
- If conf file don't exist, create and genarate.
- If cannot open conf file, use one-time signature.
- If signature = xxxxx, use it.

## ◆ status_init()

void status_init | ( | AFPObj * | dsi_obj,
|  | AFPObj * | asp_obj,
|  | DSI * | dsi )
| extern

## ◆ status_uams()

void status_uams | ( | char * | data,
|  | const char * | authlist )
| extern

## ◆ status_versions()

void status_versions | ( | char * | data,
|  | const ASP | asp,
|  | const DSI * | dsi )
| extern